package com.goafanti.cognizance.service;

import java.math.BigDecimal;
import java.util.List;

import com.goafanti.cognizance.bo.AnnualReportBo;
import com.goafanti.cognizance.bo.AnnualReportMainBo;
import com.goafanti.cognizance.bo.AnnualReportPropertyRightBo;
import com.goafanti.common.model.OrgAnnualReport;
import com.goafanti.core.mybatis.page.Pagination;

public interface OrgAnnualReportService {

	Pagination<OrgAnnualReport> listOrgAnnualReport(Integer year, Integer state, Integer pNo, Integer pSize, String userId);

	int deleteByPrimaryKey(List<String> id);

	OrgAnnualReport insert(OrgAnnualReport orgAnnualReport);

	int updateByPrimaryKeySelective(OrgAnnualReport orgAnnualReport);

	AnnualReportPropertyRightBo selectAnnualReportPropertyRightBoByYearAndUid(Integer year, String uid);

	BigDecimal selectAnnualReportTerritoryByYearAndUid(Integer year, String uid);

	AnnualReportMainBo selectAnnualReportMainBoByYearAndUid(Integer year, String uid);

	OrgAnnualReport selectAnnualReportByYearAndUid(Integer year, String uid);

	AnnualReportBo selectAnnualReportBo(String uid, Integer year);


}
